<?php

add_filter( 'mb_settings_pages', function($settings_pages) {
	$settings_pages[] = array(
		'id' => 'web-settings',
		'columns' => 1,
		'menu_title' => 'Šablona',
		'position' => 1,
		'submit_button' => 'Uložit nastavení',
		'message' => 'Nastavení uloženo.'
	);
	return $settings_pages;
});

add_filter( 'rwmb_meta_boxes', function( $meta_boxes ){

	$prefix = 'mb_';
	$meta_boxes = array();

	// ----------> Ostatní (settings)

	$meta_boxes[] = array(

		'title' => __( 'Logo', TEXTDOMAIN ),
		'settings_pages' => 'web-settings',

		'fields' => array(
			array(
				'id'   => $prefix . 'logo',
				'type' => 'image_advanced',
				'max_file_uploads' => 1,
				'max_status' => false
			)
		)

	);

	$meta_boxes[] = array(

		'title' => __( 'Favicon', TEXTDOMAIN ),
		'settings_pages' => 'web-settings',

		'fields' => array(
			array(
				'id'   => $prefix . 'favicon',
				'type' => 'image_advanced',
				'max_file_uploads' => 1,
				'max_status' => false
			)
		)

	);

	$meta_boxes[] = array(

		'title' => __( 'Informace (patička)', TEXTDOMAIN ),
		'settings_pages' => 'web-settings',

		'fields' => array(
			array(
				'id'   => $prefix . 'web_footer_info',
				'type' => 'wysiwyg',
				'options' => array(
					'textarea_rows' => 10,
					'media_buttons' => false
				)
			)
		)

	);

	$meta_boxes[] = array(

		'title' => __( 'Google Analytics', TEXTDOMAIN ),
		'settings_pages' => 'web-settings',

		'fields' => array(
			array(
				'id'    => $prefix . 'web_ga',
				'type'  => 'textarea',
				'sanitize_callback' => 'none',
				'rows' 	=> 10
			)
		)

	);

	// ----------> META (title)

	$meta_boxes[] = array(

		'title' => __( 'META (title)', TEXTDOMAIN ),
		'post_types' => array( 'page', '_clanky' ),
		'style' => 'seamless',
		'context' => 'after_title',

		'fields' => array(
			array(
				'type' 	=> 'heading',
				'name' 	=> __( 'META (title)', TEXTDOMAIN )
			),
			array(
				'id'    => $prefix . 'meta_title',
				'type'  => 'text',
				'size' 	=> 75
			)
		)

	);

	// ----------> META (description)

	$meta_boxes[] = array(

		'title' => __( 'META (description)', TEXTDOMAIN ),
		'post_types' => array( 'page', '_clanky' ),
		'style' => 'seamless',
		'context' => 'after_title',

		'fields' => array(
			array(
				'type' 	=> 'heading',
				'name' 	=> __( 'META (description)', TEXTDOMAIN )
			),
			array(
				'id'    => $prefix . 'meta_description',
				'type'  => 'textarea',
				'maxlength' => 160,
				'after' => '<small>max. 160 znaků</small>'
			)
		)

	);

	// ----------> Nativní WP galerie

	// $meta_boxes[] = array(

	// 	'title' => __( 'Galerie', TEXTDOMAIN ),
	// 	'post_types' => array( '_galerie' ),

	// 	'fields' => array(
	// 		array(
	// 			'id'   => $prefix . 'galerie',
	// 			'type' => 'image_advanced',
	// 			'max_status' => false
	// 		)
	// 	)

	// );

	// ----------> Úvodní stránka

	$meta_boxes[] = array(

		'title' => __( 'Carousel', TEXTDOMAIN ),
		'post_types' => array( 'page' ),

		'include' => array(
			'template' => 'templates/homepage.php'
		),

		'fields' => array(
			array(
				'type' => 'divider'
			),
			array(
				'id' => $prefix . 'carousel',
				'type' => 'image_advanced',
				//'max_file_uploads' => 1,
				'max_status' => false,
				'image_size' => 'medium'
			),
		)

	);

	$meta_boxes[] = array(

		'title' => __( 'Banner', TEXTDOMAIN ),
		'post_types' => array( 'page' ),

		'include' => array(
			'template' => 'templates/homepage.php'
		),

		'fields' => array(
			array( 'type'  => 'divider' ),
			array(
				'type' => 'custom_html',
				'std' => '<h4>Banner se zobrazí na úvodní stránce, pokud má výpis článků více jak 3 články</h4>'
			),
			array( 'type'  => 'divider' ),
			array(
				'name' => __( 'Zobrazit banner?', TEXTDOMAIN ),
				'id' => $prefix . 'banner_check',
				'type' => 'switch'
			),
			array( 'type'  => 'divider' ),
			array(
				'name' => __( 'Nadpis', TEXTDOMAIN ),
				'id' => $prefix . 'banner_nadpis',
				'type' => 'text'
			),
			array(
				'name' => __( 'Popisek', TEXTDOMAIN ),
				'id' => $prefix . 'banner_popisek',
				'type' => 'textarea',
				'size' => 75
			),
			array(
				'name' => __( 'Nadpis tlačítka', TEXTDOMAIN ),
				'id' => $prefix . 'banner_button_nadpis',
				'type' => 'text',
				'size' => 25
			),
			array(
				'name' => __( 'URL (stránka)', TEXTDOMAIN ),
				'id' => $prefix . 'banner_button_url',
				'type' => 'post',
				'post_type' => array( 'page' ),
				'field_type' => 'select',
				'placeholder' => '-- Vybrat stránku --'
			),
			array(
				'name' => __( 'URL (vlastní)', TEXTDOMAIN ),
				'id' => $prefix . 'banner_button_url_custom',
				'type' => 'text'
			),
			array(
				'name' => __( 'Obrázek', TEXTDOMAIN ),
				'id'   => $prefix . 'banner_img',
				'type' => 'image_advanced',
				'max_file_uploads' => 1,
				'max_status' => false
			),
			array( 'type'  => 'divider' )
		)

	);

	// ----------> Medailonky vedoucích členů

	$meta_boxes[] = array(

		'title' => __( 'Medailonky vedoucích členů', TEXTDOMAIN ),
		'post_types' => array( 'page' ),

		'include' => array(
			'template' => 'templates/contact.php'
		),

		'fields' => array(
			array( 'type'  => 'divider' ),
			array(
				'id' => $prefix . 'medailonky_group',
				'type' => 'group',
				'clone' => true,
				'sort_clone' => true,
				'collapsible' => true,
				'group_title' => array( 'field' => $prefix . 'medailonek_jmeno' ),
				'save_state' => true,
				'add_button' => 'Přidat člena',
				'fields' => array(
					array(
						'name' => __( 'Jméno', TEXTDOMAIN ),
						'id' => $prefix . 'medailonek_jmeno',
						'type' => 'text'
					),
					array(
						'name' => __( 'Pozice', TEXTDOMAIN ),
						'id' => $prefix . 'medailonek_pozice',
						'type' => 'text',
						'size' => 75
					),
					array(
						'name' => __( 'E-mail', TEXTDOMAIN ),
						'id' => $prefix . 'medailonek_email',
						'type' => 'text'
					),
					array(
						'name' => __( 'Telefon', TEXTDOMAIN ),
						'id' => $prefix . 'medailonek_telefon',
						'type' => 'text',
						'size' => 75
					),
					array(
						'name' => __( 'Fotografie', TEXTDOMAIN ),
						'id'   => $prefix . 'medailonek_fotografie',
						'type' => 'image_advanced',
						'max_file_uploads' => 1,
						'max_status' => false
					),
				),
			),
			array( 'type'  => 'divider' )
		)

	);

	// ----------> Dokumenty ke stažení

	$meta_boxes[] = array(

		'title' => __( 'Dokumenty ke stažení', TEXTDOMAIN ),
		'post_types' => array( 'page', '_clanky', '_galerie' ),

		'exclude' => array(
			'template' => 'templates/homepage.php'
		),

		'fields' => array(
			array( 'type'  => 'divider' ),
			array(
				'id'   => $prefix . 'dokument',
				'type' => 'file_advanced',
				'max_status' => false
			)
		)

	);

	return $meta_boxes;

});

// ----------> Metabox - filters / action

add_filter( 'rwmb_media_add_string', function() { return 'Vybrat soubor'; });
add_filter( 'rwmb_media_remove_string', function() { return 'Odebrat'; });
add_filter( 'rwmb_media_edit_string', function() { return 'Upravit'; });

// ----------> CPT - css customizace

add_action( 'admin_head', function(){
echo '
	<style type="text/css">

			small { font-size: 11px }
			.new-files h4, .rwmb-add-file, .rwmb-map-goto-address-button { display: none }
			.rwmb-input h3 { margin: 0 !important }
			.rwmb-divider-wrapper hr { margin: 5px 0 0 !important; border: 0 !important }
			.rwmb-divider-wrapper.divider hr { display: block; padding-top: 30px; border-top: 5px solid #e6e6e6 !important }
			.rwmb-label { width: 130px !important; position: relative; top: 2px }
			.rwmb-checkbox-wrapper .rwmb-label { top: -3px !important }
			.rwmb-group-wrapper .rwmb-clone:after { padding: 0 0 20px !important; margin: 0 !important; border: 0 !important }
			.rwmb-field textarea { width: 100% !important }
			.rwmb-taxonomy-wrapper { padding-top: 0 !important }
			.rwmb-switch-wrapper .rwmb-label { top: -2px !important }
			#meta-title, #meta-description { margin: 20px 0 0 }
			.rwmb-heading-wrapper { margin: 0 0 5px !important }
			.rwmb-heading-wrapper h4 { border: 0; margin: 0; padding: 0 }
			#poststuff h2, .rwmb-heading-wrapper h4 { font-size: 20px; text-transform: none }

    </style>
';

});